# NixOS on RISC-V

This repository contains NixOS configurations for different RISC-V machines.

## QEMU

To boot the system in QEMU, first enter the development shell:

```
$ nix develop
```

Then run the boot script:

```
$ ./boot.sh
```

To prevent the GC from erasing the system:

```
$ nix build .#devShells.x86_64-linux.default --out-link result-env
```

## Lagarto Hun on FPGA Alveo U55C

First build required dependencies:

```
$ nix develop '.#lagarto-hun'
```

Then upload to destination:

```
$ fpga/upload.sh
```

And then boot the system there:

```
cucu$ ./boot.sh
...
```

In the U-Boot prompt, paste the commands of the `uboot.env` file.
