{ config, lib, pkgs, modulesPath, self, ... }:

{
  imports = [
    #"${modulesPath}/profiles/base.nix"
    "${modulesPath}/profiles/minimal.nix"
  ];

  nixpkgs = {
    crossSystem = {
      system = "riscv64-linux";
    };

    overlays = [
      self.inputs.bscpkgs.bscOverlay
      (import ./overlay.nix)
    ];

    config.allowUnsupportedSystem = true;
  };

  networking.hostName = "nixos-riscv";

  system.stateVersion = "24.05";

  services.getty.autologinUser = "test";

  users = {
    users.test = {
      password = "test";
      isNormalUser = true;
      extraGroups = [
        "wheel"
      ];
    };
  };

  #environment.systemPackages = with pkgs; [ vim gdb neofetch gcc bintools ];
  environment.systemPackages = with pkgs; [
    rvb riscv-tools
    config.boot.kernelPackages.perf
  ];

  services.getty.helpLine = ''


     __________________
    < Welcome to NixOS >
     ------------------
            \   ^__^
             \  (oo)\_______
                (__)\       )\/\
                    ||----w |
                    ||     ||
    

    If you can read this message then then you have
    successfully booted NixOS into the login shell.


  '';
}
